{
  "root": true,
  "ignorePatterns": [
    "projects/**/*",
    "**/assets/scripts/**",
    "**/~partytown/**"
  ],
  "parserOptions": {
    "ecmaVersion": 2020
  },
  "env": {
    "es6": true
  },
  "overrides": [
    {
      "files": ["*.ts"],
      "parserOptions": {
        "project": ["tsconfig.json", "e2e/tsconfig.json"],
        "createDefaultProgram": true
      },
      "extends": [
        "plugin:@angular-eslint/recommended",
        "plugin:@angular-eslint/template/process-inline-templates",
        "plugin:@typescript-eslint/recommended",
        "airbnb-base",
        "airbnb-typescript/base",
        "plugin:import/errors",
        "plugin:import/warnings",
        "plugin:import/typescript",
        "plugin:prettier/recommended"
      ],
      "plugins": ["import", "@typescript-eslint"],
      "settings": {
        "import/parsers": {
          "@typescript-eslint/parser": [".ts"]
        }
      },
      "rules": {
        "@angular-eslint/component-selector": [
          "error",
          {
            "prefix": ["app", "jds"],
            "style": "kebab-case",
            "type": "element"
          }
        ],
        "@angular-eslint/directive-selector": [
          "error",
          {
            "prefix": ["app", "jds"],
            "style": "camelCase",
            "type": "attribute"
          }
        ],
        "arrow-body-style": "off",
        "class-methods-use-this": "off",
        "dot-notation": "off",
        "function-paren-newline": "off",
        "implicit-arrow-linebreak": "off",
        "lines-between-class-members": "off",
        "no-console": [
          "error",
          { "allow": ["info", "warn", "error", "assert"] }
        ],
        "no-param-reassign": ["error", { "props": false }],
        "no-return-assign": "off",
        "no-underscore-dangle": "off",
        "max-classes-per-file": ["error", 2],
        "object-curly-newline": [
          "error",
          {
            "ImportDeclaration": { "multiline": true, "minProperties": 6 }
          }
        ],
        "operator-linebreak": "off",
        "radix": ["error", "as-needed"],
        "import/no-cycle": "off",
        "import/no-extraneous-dependencies": "off",
        "import/no-unresolved": "off",
        "import/prefer-default-export": "off",
        "@typescript-eslint/dot-notation": "off",
        "@typescript-eslint/indent": "off",
        "@typescript-eslint/lines-between-class-members": "off",
        "@typescript-eslint/no-explicit-any": "off",
        "@typescript-eslint/no-unused-vars": ["error"]
      }
    },
    {
      "files": ["*.html"],
      "extends": ["plugin:@angular-eslint/template/recommended"],
      "rules": {}
    }
  ]
}
